<template>
  <div class="volume w-[12rem]" @click="$emit('own')">
    <h4>{{ kanjiNumber }}号</h4>
    <div class=" relative w-full h-[18rem] cover-shadow cover-box">
      <div
          class="overlay absolute top-0 right-0 w-full h-full bg-black bg-opacity-70 flex items-center justify-center text-white cursor-pointer"
          :style="owned ? 'opacity: 1' : ''"
      >
        <!-- Plus icon -->
        <svg v-if="!owned" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"
             stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
             class="feather feather-plus-circle">
          <circle cx="12" cy="12" r="10"></circle>
          <line x1="12" y1="8" x2="12" y2="16"></line>
          <line x1="8" y1="12" x2="16" y2="12"></line>
        </svg>
        <div v-else class="stamp flex flex-col items-center justify-center">
          <div class="select-none rounded-full border border-[6px] border-status-owned text-status-owned w-14 h-14 flex items-center justify-center font-black text-3xl z-50">
            有
          </div>
          <p class="text-status-owned uppercase font-bold">owned !</p>
        </div>
      </div>
      <img :src="src" alt="manga-cover" class="w-full h-full object-cover">
      <span
          class="absolute text-right bottom-0 right-0 font-black text-white text-7xl mb-0 leading-[3.5rem] cursor-pointer z-10">{{ number }}</span>
    </div>
    <div class="text-center">
      <h4 class="font-bold">Volume N° {{ number }}</h4>
    </div>
  </div>
</template>
<script>
import int2kanji from "../../helpers/int2kanji";

export default {
  props: {
    src: {
      type: String,
      required: true
    },
    number: {
      type: Number,
      default: 0
    },
    owned: {
      type: Boolean,
      default: false
    }
  },

  computed: {
    kanjiNumber() {
      return int2kanji(this.number)
    }
  }
}
</script>

<style>
.cover-shadow {
  -webkit-box-shadow: 5px 4px 11px 5px rgba(0, 0, 0, 0.25);
  box-shadow: 5px 4px 11px 5px rgba(0, 0, 0, 0.25);
}

.overlay{
  backdrop-filter: blur(3px);
  -webkit-backdrop-filter: blur(3px);
}

.cover-box .overlay {
  opacity: 0;
  transition: all 200ms ease-out;
}
.cover-box:hover .overlay {
  opacity: 1;
  transition: all 200ms ease-in;
}
</style>